/****************************************************************************
** Form interface generated from reading ui file 'form1.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef FORM1_H
#define FORM1_H

#include <qvariant.h>
#include <qmainwindow.h>
#include "../xmller/xmller.h"
#include "../iprangelister/iprangelister.h"
#include "../sharescanner/sharescanner.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QAction;
class QActionGroup;
class QToolBar;
class QPopupMenu;
class QListView;
class QListViewItem;
class QButtonGroup;
class QSpinBox;
class QLabel;
class QPushButton;
class QCheckBox;

class Form1 : public QMainWindow
{
    Q_OBJECT

public:
    Form1( QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel );
    ~Form1();

    QListView* listView1;
    QListView* listView2;
    QButtonGroup* buttonGroup1;
    QSpinBox* spinBox1_5;
    QSpinBox* spinBox1_2_2;
    QSpinBox* spinBox1_2;
    QSpinBox* spinBox1_3;
    QSpinBox* spinBox1;
    QSpinBox* spinBox1_4;
    QSpinBox* spinBox1_4_2;
    QSpinBox* spinBox1_3_2;
    QLabel* textLabel2;
    QLabel* textLabel3;
    QPushButton* btnAddRange;
    QPushButton* btnRemoveRange;
    QButtonGroup* buttonGroup2;
    QLabel* textLabel5_4;
    QLabel* textLabel5;
    QSpinBox* spinBox9;
    QSpinBox* spinBox9_4;
    QLabel* textLabel4_4;
    QLabel* textLabel4;
    QLabel* textLabel4_2;
    QSpinBox* spinBox9_3;
    QLabel* textLabel5_3;
    QLabel* textLabel4_3;
    QSpinBox* spinBox9_2;
    QCheckBox* checkBox1;
    QCheckBox* checkBox1_2;
    QMenuBar *MenuBar;
    QPopupMenu *fileMenu;
    QPopupMenu *editMenu;
    QPopupMenu *Run;
    QPopupMenu *helpMenu;
    QToolBar *toolBar;
    QAction* fileNewAction;
    QAction* fileOpenAction;
    QAction* fileSaveAction;
    QAction* fileSaveAsAction;
    QAction* fileExitAction;
    QAction* editCopyAction;
    QAction* editPasteAction;
    QAction* editFindAction;
    QAction* helpAboutAction;
    QAction* refreshAction;
    QAction* stopRefreshAction;
    QAction* editShow_hostsAction;
    QAction* editShow_sharesAction;
    QAction* editConfig;
    QAction* showOnOnly;
    QAction* editFindNextAction;

    QPopupMenu * menuRangeList2;
    QPopupMenu * menuRangeList1;
    QPopupMenu * menuIpList2;
    QPopupMenu * menuIpList1;
    Xmller *xmlFiler;
    QString activeFile;

    virtual void addIpShares( QString ip, QStringList shares );

public slots:
    virtual void init();
    virtual void fileNew();
    virtual void fileOpen();
    virtual void fileSave();
    virtual void fileSaveAs();
    virtual void deInit();
    virtual void fileExit();
    virtual void closeEvent( QCloseEvent * e );
    virtual void editCut();
    virtual void editCopy();
    virtual void editPaste();
    virtual void editFind();
    virtual void editFindNext();
    virtual void helpAbout();
    virtual void btnAddRange_clicked();
    virtual void btnAddRange_pressed();
    virtual void btnRemoveRange_clicked();
    virtual void listView1_clicked( QListViewItem * item );
    virtual void refreshAction_activated();
    virtual void runScaning();
    virtual void setIpList();
    virtual void stopRefreshAction_activated();
    virtual void onScanDone();
    virtual void listView1_doubleClicked( QListViewItem * item );
    virtual void listView2_doubleClicked( QListViewItem * item );
    virtual void editShow_sharesAction_activated();
    virtual void editShow_hostsAction_activated();
    virtual void showStat();
    virtual void onFindShare( QString * ip, QStringList * shareslist );
    virtual void onScanIpNow( QString * ip );
    virtual void listView1_contextMenuRequested( QListViewItem * item, const QPoint & point, int );
    virtual void listView2_contextMenuRequested( QListViewItem * item, const QPoint & point, int );
    virtual void onMenuIpList1( int id );
    virtual void onMenuRangeList1( int id );
    virtual void onMenuIpList2( int id );
    virtual void editConfig_activated();
    virtual void showOnOnly_activated();

protected:
    ShareScanner shscan;

    QHBoxLayout* Form1Layout;
    QVBoxLayout* layout3;
    QGridLayout* buttonGroup1Layout;
    QGridLayout* buttonGroup2Layout;

protected slots:
    virtual void languageChange();

private:
    int sTimer;

};

#endif // FORM1_H
